## magics++ 4.2.6

=== CMakeLists.txt ===
############################################################################################
# cmake options:
#
#       -DCMAKE_BUILD_TYPE=Debug|RelWithDebInfo|Release|Production
#
#       -DCMAKE_MODULE_PATH=/path/to/ecbuild/cmake
#
#       -DCMAKE_C_COMPILER=gcc
#
#       -DCMAKE_PREFIX_PATH=/path/to/jasper:/path/to/any/package/out/of/place
#

cmake_minimum_required( VERSION 3.1.0 FATAL_ERROR )

project( magics CXX )

# make sure that the header files are installed into include/magics
# note that this needs to be done before ecbuild_declare_project()
# to ensure that the ecbuild header files are also put there
# note also that we need to CACHE this so that ecbuild_declare_project() does not overwrite it
set(INSTALL_INCLUDE_DIR include/magics CACHE PATH "Magics installation directory for header files")

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild/cmake")

include(ecbuild_system NO_POLICY_SCOPE)


set (CMAKE_CXX_STANDARD 14)
set (CMAKE_C_STANDARD 99)

###############################################################################
# some variables of this project

ecbuild_use_package( PROJECT eccodes VERSION 2.9.2 REQUIRED
                     FAILURE_MSG "ecCodes is required in order to build Magics. Note that GRIB_API is no longer supported in Magics" )

set( grib_handling_pkg eccodes )
set( HAVE_GRIB 1 )
set( HAVE_BUFR 1 )

ecbuild_add_option( FEATURE PYTHON
                    DEFAULT ON
                    DESCRIPTION "enable python interface"
                    REQUIRED_PACKAGES "Python NO_LIBS" NumPy )
                    
ecbuild_add_option( FEATURE ODB
                    DEFAULT OFF
                    DESCRIPTION "ODB support"
                    REQUIRED_PACKAGES "PROJECT odb_api VERSION 0.10.2")
					#	"PROJECT eckit   VERSION 0.9.0" )

#ecbuild_add_option( FEATURE CAIRO
#                    DEFAULT ON
#                    DESCRIPTION "cairo support[png/jpeg]"
#                    REQUIRED_PACKAGES PangoCairo)

option( ENABLE_CAIRO "cairo support[png/jpeg]" ON )
if( ENABLE_CAIRO )
  find_package(PangoCairo REQUIRED)
  if( NOT PANGOCAIRO_FOUND)
    message(FATAL_ERROR "Cairo support (PNG & PDF output) requested, but requirements were not found - can be disabled with -DENABLE_CAIRO=OFF")
  endif()
  set(HAVE_CAIRO ON)
  ecbuild_enable_feature( CAIRO )
else()
  ecbuild_disable_feature( CAIRO )
endif()

ecbuild_add_option( FEATURE GEOTIFF
                    DEFAULT OFF
                    DESCRIPTION "geotiff support [implies cairo]"
                    CONDITION HAVE_CAIRO
                    REQUIRED_PACKAGES GeoTIFF )

ecbuild_add_option( FEATURE NETCDF
                    DEFAULT ON
                    DESCRIPTION "enable netcdf support"
                    REQUIRED_PACKAGES "NetCDF 4 COMPONENTS C" )

ecbuild_add_option( FEATURE SPOT
                    DEFAULT OFF
                    DESCRIPTION "enable spot support"
                    REQUIRED_PACKAGES "PROJECT spot" )

find_package(PythonInterp REQUIRED)
find_package(Jinja2 REQUIRED)



ecbuild_add_option( FEATURE FORTRAN
                    DEFAULT ON
                    DESCRIPTION "enable Fortran interface" )

if( HAVE_FORTRAN )
	ecbuild_enable_fortran( REQUIRED )
endif()

ecbuild_add_option( FEATURE METVIEW
                    DEFAULT OFF
                    DESCRIPTION "enable Metview interface" )

ecbuild_add_option( FEATURE EFAS
                    DEFAULT OFF
                    DESCRIPTION "enable Efas coastlines" )

ecbuild_add_option( FEATURE METVIEW_NO_QT
                    DEFAULT OFF
                    DESCRIPTION "enable Metview interface without Qt" )

option( BUILD_SHARED_LIBS  "Set to BOTH to build static library in addition to shared"  ON )
option( ENABLE_REGRESSION        "Internal use only: enable regression test"  OFF  )
option( ENABLE_REGRESSION_UPLOAD "Internal use only : enable upload of reference image"  OFF  )

set( MAGICS_NAME          "Magics" )
set( MAGICS_EXCEPTION     "ON" )
set( MAGICS_SITE          "ecmwf" )
set( MAGICS_INSTALL_PATH  ${CMAKE_INSTALL_PREFIX} )

set( MAGICS_REFERENCE_VERSIONS            "4.1.0" )
set( MAGICS_HTML_ROOT        "${CMAKE_BINARY_DIR}/regression/html")
file(MAKE_DIRECTORY ${MAGICS_HTML_ROOT} )



###############################################################################
# projects

### Metview and Qt
ecbuild_info("TESTING for Metview and Qt ...")

if(HAVE_METVIEW AND HAVE_METVIEW_NO_QT)
    ecbuild_critical("Do not set both HAVE_METVIEW and HAVE_METVIEW_NO_QT - only set one. You may have to remove your CMakeCache.txt to clear these settings.")
endif()

set( qt no )
set( metview no )


if( HAVE_METVIEW_NO_QT )
	set( metview yes )
	unset(MAGICS_ONLY)
endif()



if( HAVE_METVIEW )
    set ( metview yes)
    ecbuild_info("TESTING for Qt5 ...")
    unset(MAGICS_ONLY)

    find_package(Qt5Widgets REQUIRED)
    if( Qt5Widgets_FOUND )
        ecbuild_info("Qt5 was found ... ${Qt5Widgets_VERSION_STRING}")
        include_directories(${Qt5Widgets_INCLUDE_DIRS})
        set( MAGICS_QT 1)
        set( MAGICS_QT5 1)
        set( qt yes)
        add_definitions( -DMAGICS_QT5 )
    else()
        ecbuild_critical("Qt5 was NOT found, but it is necessary if METVIEW is enabled ...")
    endif()
endif()

ecbuild_declare_project()

###############################################################################
# find extra packages

set( CMAKE_THREAD_PREFER_PTHREAD 1 )
find_package( Threads )

if( EC_OS_NAME MATCHES "windows" )
    find_library( PTHREAD_LIB pthread PATHS ENV PATH )
    list( APPEND MAGICS_EXTRA_LIBRARIES ${PTHREAD_LIB} )
endif()

find_package( Boost 1.53.0 REQUIRED)
find_package( Proj4 REQUIRED )
find_package( EXPAT REQUIRED )
if(APPLE)
  find_package( zlib REQUIRED )       # dependency of minizip - KMZ support
endif(APPLE)

###############################################################################
# compiler options

if( EC_OS_NAME MATCHES "windows" )
    # Suppress compliler warnings
    # Suppress warnings about using 'insecure' functions. Fixing this would require changes all over
    # the codebase which would damage portability.
    ecbuild_add_c_flags("/D_CRT_SECURE_NO_WARNINGS")
    ecbuild_add_cxx_flags("/D_CRT_SECURE_NO_WARNINGS")
    # Suppress warnings about using well-known C functions.
    ecbuild_add_c_flags("/D_CRT_NONSTDC_NO_DEPRECATE")
    ecbuild_add_cxx_flags("/D_CRT_NONSTDC_NO_DEPRECATE")
    # Suppress C4267: warns about possible loss of data when converting 'size_t' to 'int'.
    ecbuild_add_c_flags("/wd4267")
    ecbuild_add_cxx_flags("/wd4267")
    # Suppress C4800: forcing value to bool 'true' or 'false'
    ecbuild_add_cxx_flags("/wd4800")

    # Prevent fatal error C1128
    ecbuild_add_cxx_flags("/bigobj")
endif()

###############################################################################
# contents

set( MAGICS_TPLS eccodes spot EXPAT NetCDF Proj4 zlib )

set( MAGICS_INCLUDE_DIRS
     ${CMAKE_CURRENT_BINARY_DIR}/src
     ${CMAKE_CURRENT_BINARY_DIR}/src/params
     ${CMAKE_CURRENT_SOURCE_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/src/common
     ${CMAKE_CURRENT_SOURCE_DIR}/src/basic
     ${CMAKE_CURRENT_SOURCE_DIR}/src/clipper
     ${CMAKE_CURRENT_SOURCE_DIR}/src/web
     ${CMAKE_CURRENT_SOURCE_DIR}/src/visualisers
     ${CMAKE_CURRENT_SOURCE_DIR}/src/drivers
     ${CMAKE_CURRENT_SOURCE_DIR}/src/drivers/MgQ
     ${CMAKE_CURRENT_SOURCE_DIR}/src/eckit_readers
     ${CMAKE_CURRENT_SOURCE_DIR}/src/decoders
     ${CMAKE_CURRENT_SOURCE_DIR}/src/terralib/kernel
     ${CMAKE_CURRENT_SOURCE_DIR}/src/libMagWrapper
     ${Boost_INCLUDE_DIRS} )

if( HAVE_CAIRO )
  list( APPEND MAGICS_TPLS PangoCairo)
  list( APPEND MAGICS_INCLUDE_DIRS ${PANGOCAIRO_INCLUDE_DIRS})
endif()

if( HAVE_ODB )
  list( APPEND MAGICS_TPLS odb_api )
  list( APPEND MAGICS_INCLUDE_DIRS
        ${CMAKE_CURRENT_SOURCE_DIR}/src/oda
        ${ODB_API_INCLUDE_DIRS}
		${ECKIT_INCLUDE_DIRS} )
endif()

set( MAGICS_LIBRARIES MagPlus )

foreach( _tpl ${MAGICS_TPLS} )
    string( TOUPPER ${_tpl} TPL )

    if( REPLACE_TPL_ABSOLUTE_PATHS )
        # replace TPL absolute paths with their library names
        # this helps make Magics relocatable
        set( _TMP "" )

        string(REPLACE " " ";" LIB_LIST "${${TPL}_LIBRARIES}") # lists of libs can have spaces; replace with semicolon
        foreach( _lib ${LIB_LIST} )
            get_filename_component( _lib_name ${_lib} NAME_WE )
            string( REGEX REPLACE "^lib" "" _name ${_lib_name} )
            if( NOT ${_name} STREQUAL ${_lib_name} )
              list( APPEND _TMP "-l${_name}" )
            else()
              list( APPEND _TMP "${_lib}" )
          endif()
        endforeach()
        list(REMOVE_DUPLICATES  _TMP)
        list(REMOVE_ITEM _TMP debug)
        list(REMOVE_ITEM _TMP optimized)

        set( ${TPL}_LIBRARIES ${_TMP} )
        set( _TMP "" )
    endif()

    list( APPEND MAGICS_EXTRA_DEFINITIONS ${${TPL}_DEFINITIONS}  )
    list( APPEND MAGICS_EXTRA_INCLUDE_DIRS ${${TPL}_INCLUDE_DIRS} )
    string(REGEX REPLACE "[ ]+$" "" ${TPL}_LIBRARIES "${${TPL}_LIBRARIES}") # strips leading whitespaces
    string(REGEX REPLACE "^[ ]+" "" ${TPL}_LIBRARIES "${${TPL}_LIBRARIES}") # strips trailing whitespaces
    list( APPEND MAGICS_EXTRA_LIBRARIES ${${TPL}_LIBRARIES} )
    ecbuild_info("${TPL}_LIBRARIES [${${TPL}_LIBRARIES}]") # add this to confirm that indeed it was cleaned up
endforeach()

if( MAGICS_QT )
  list( APPEND MAGICS_EXTRA_INCLUDE_DIRS  ${Qt5Widgets_INCLUDE_DIR} )
  list( APPEND MAGICS_EXTRA_LIBRARIES     ${Qt5Widgets_LIBRARIES} )

  if( WITH_QT_DEBUG )
    list( APPEND MAGICS_EXTRA_DEFINITIONS QT_NO_DEBUG_OUTPUT )
  endif()
endif()

if( HAVE_GEOTIFF )
	list( APPEND MAGICS_EXTRA_INCLUDE_DIRS  ${GEOTIFF_INCLUDE_DIR} )
	list( APPEND MAGICS_EXTRA_LIBRARIES  ${GEOTIFF_LIBRARY} )
  list( APPEND MAGICS_EXTRA_DEFINITIONS HAVE_GEOTIFF )
endif()

list( APPEND MAGICS_EXTRA_LIBRARIES     ${CMAKE_THREAD_LIBS_INIT} )

if( EC_OS_NAME MATCHES "windows" )
    # We need to link to ws2_32.lib to avoid an unresolved external (gethostname)
    # It's part of the Windows SDK so no need to search for it.
    list( APPEND MAGICS_EXTRA_LIBRARIES ws2_32 )
    # We need to find zlib.lib
    find_library( ZLIB_LIB zlib PATHS ENV PATH )
    list( APPEND MAGICS_EXTRA_LIBRARIES ${ZLIB_LIB} )
endif()

ecbuild_debug("MAGICS_EXTRA_DEFINITIONS  => ${MAGICS_EXTRA_DEFINITIONS}")
ecbuild_debug("MAGICS_EXTRA_INCLUDE_DIRS => ${MAGICS_EXTRA_INCLUDE_DIRS}")
ecbuild_debug("MAGICS_EXTRA_LIBRARIES    => ${MAGICS_EXTRA_LIBRARIES}")

# set_directory_properties( PROPERTIES COMPILE_DEFINITIONS "${ECKIT_DEFINITIONS}" )
get_directory_property( MAGICS_DEFINITIONS COMPILE_DEFINITIONS )

include_directories( ${MAGICS_INCLUDE_DIRS} ${MAGICS_EXTRA_INCLUDE_DIRS} )


add_subdirectory( tools )
add_subdirectory( src )
add_subdirectory( share )
add_subdirectory( apps )
add_subdirectory( test )
if( ENABLE_REGRESSION )
    add_subdirectory( regression )
endif()

if( HAVE_EFAS )
else()
ecbuild_add_resources( TARGET noefas DONT_PACK_DIRS share/magics/efas)
endif()

# Directories not need in the distribution tar ball!
ecbuild_add_resources( TARGET old_src DONT_PACK_DIRS src/MvObs src/libTable src/xml src/terralib/functions)
ecbuild_add_resources( TARGET bamboo DONT_PACK_DIRS bamboo)
ecbuild_add_resources( TARGET old_resources
		DONT_PACK_DIRS tools/versioncmp
		tools/regression
		regression
		docs
		toolsjs
		notebook
		test/old
		tools/xml
		tools/use_scripts
		tools/versioncmp_folders)

ecbuild_add_resources( TARGET notebook
    DONT_PACK_DIRS notebook )

ecbuild_add_resources( TARGET internal
		DONT_PACK configure.lxab
		configure.local
		configure.ecgb
		configure.ecmwf
)

############################################################################################
# finalize

set( MAGICS_DESCRIPTION "Multi-platform meteorological graphics library" )
set( MAGICS_URL "https://software.ecmwf.int/magics" )

ecbuild_pkgconfig()

ecbuild_install_project( NAME Magics )

=== Makefile ===


# test
TEST_CMD := python -m Magics selfcheck

# load variables from ./hooks/env
DATE := ${shell . ./hooks/env && echo $$DATE}
SOURCE_URL := ${shell . ./hooks/env && echo $$SOURCE_URL}
SOURCE_BRANCH := ${shell . ./hooks/env && echo $$SOURCE_BRANCH}
SOURCE_COMMIT := ${shell . ./hooks/env && echo $$SOURCE_COMMIT}
SOURCE_TAG := ${shell . ./hooks/env && echo $$SOURCE_TAG}
DOCKER_TAG := ${shell . ./hooks/env && echo $$DOCKER_TAG}
IMAGE_NAME := ${shell . ./hooks/env && echo $$IMAGE_NAME}

all: build

.PHONY: build run run-interactive test login login-user-pass push clean

build:
	./hooks/build

run:
	@docker run --rm -i -t ${IMAGE_NAME}

run-interactive:
	@docker run --rm -i -t ${IMAGE_NAME} sh

test:
	@docker run --rm -i -t ${IMAGE_NAME} ${TEST_CMD}

login:
	@docker login

login-user-pass:
	@docker login -u ${DOCKER_USER} -p ${DOCKER_PASS}

push: login
	@docker push ${DOCKER_REPO}

clean:
	@docker rmi ${DOCKER_REPO}

=== requirements.txt ===
# pip requirements file
# pip freeze > requirements.txt
Jinja2==2.10.3
Magics

=== apps/CMakeLists.txt ===

add_subdirectory( metgram )
if( NOT EC_OS_NAME MATCHES "windows" )
    add_subdirectory( MagMLInterpretor )
endif()

=== src/common/CMakeLists.txt ===
list( APPEND _common_srcs

	OutputFactory.h MagLog.h
	BaseParameter.h Colour.h MagException.h
	Factory.cc Factory.h
	ParameterManager.h Frame.h Layout.h
	PaperPoint.h GeoPoint.h  Tokenizer.h Node.h MagTranslator.h
	ImageProperties.h LogoPlotting.h
	ImportObject.h ColourTable.h PageID.h
	Transformation.h Dimension.h
	XmlNode.h XmlTree.h XmlReader.h BackgroundColour.h
	ColourTableDefinition.h ColourTableDefinitionCompute.h ColourTableDefinitionComputeInterface.h
	ColourTableDefinitionList.h ColourTableDefinitionListInterface.h 
	TableDefinition.h TableDefinitionList.h TableDefinitionListInterface.h
	TableDefinitionCompute.h TableDefinitionComputeInterface.h
	HeightTableDefinition.h LevelTableDefinition.h IntervalMap.h PaperDimension.h
	Matrix.h MatrixHandler.h Data.h MagicsDecoder.h
	BasePointsHandler.h RasterData.h  Visualiser.h CustomisedPoint.h PointsHandler.h
	MetaData.h
	Polyline.h
	Text.h
	Symbol.h
	BinaryObject.h
	Arrow.h
	Flag.h
	Image.h 
	ArrowProperties.h
	MagicsParameter.cc MagicsParameter.h Clipper.h LogoPlottingBase.h
	TableDefinitionCompute.cc 
	TableDefinitionList.cc
	Coordinate.h OutputHandler.h
	MagFont.h 
	AnimationRules.h SymbolItem.h
	UserPoint.h Label.h
	Timer.h
	CustomisedPoint.h Static.h DriverStatic.h ProgressObject.h PolyCoast.h
	ProgressTask.h FullPaperPoint.h
	BasePointsHandler.h PointsHandler.h MagicsDecoder.h Data.h
	Visualiser.h MatrixHandler.h
	Seconds.h
	Matrix.h Matrix.cc
	Path.h
	MagicsSingleton.h
	PlotManager.h
	Image.h 
	MagClipper.h
	XmlReader.h XmlTree.h XmlNode.h
	MagicsFormat.h
	CartesianTransformation.h
	Dimension.cc
	XCoordinate.h YCoordinate.h marsmachine.h linux.h aix.h
	Thread.h MutexCond.h Mutex.h AutoLock.h ThreadControler.h Task.h MagExceptions.h ThreadSingleton.h
	DataStats.h SciMethods.h Tephigram.cc  Tephigram.h Skewt.cc  Skewt.h Emagram.cc Emagram.h

# sources
	Data.cc Matrix.cc MagicsCalls.cc Static.cc DriverStatic.cc MagLog.cc Colour.cc Transformation.cc MagException.cc
	BaseParameter.cc ParameterManager.cc  
	Tokenizer.cc Timer.cc Seconds.cc Label.cc MagClipper.cc
	ArrowProperties.cc
	XmlReader.cc XmlTree.cc XmlNode.cc Dimension.cc
	MetaData.cc
	MagicsFormat.cc
	OutputHandler.cc  OutputFactory.cc
	MagFont.cc
	ColourTable.cc ColourTableDefinitionList.cc
	ColourTableDefinitionCompute.cc CartesianTransformation.cc
	BinaryObject.cc
	Coordinate.cc
	LogoPlotting.cc
	PageID.cc AnimationRules.cc Layout.cc SymbolItem.cc Symbol.cc Polyline.cc
	Text.cc Flag.cc  
	Mutex.cc MutexCond.cc Thread.cc MagExceptions.cc AutoLocker.cc
	ThreadControler.cc Task.cc
	DataStats.cc SciMethods.cc BasePointsHandler.cc PointsHandler.cc ProgressObject.cc

# projection
	GeoRectangularProjection.cc  PolarStereographicProjection.cc TaylorProjection.cc
	GeoRectangularProjection.h   PolarStereographicProjection.h TaylorProjection.h
	Proj4Projection.cc  Proj4Projection.h

# unused


 )

if( EC_OS_NAME MATCHES "windows" )
	list( APPEND _common_srcs win_time.h win_time.cc magics_windows.h magics_windows.cc )
endif()

list( APPEND _common_templates
    Factory.cc
    MagicsParameter.cc
    TableDefinitionList.cc
    TableDefinitionCompute.cc
 )

foreach( file ${_common_srcs} )
  list( APPEND common_srcs common/${file} )
endforeach()
foreach( file ${_common_templates} )
  list( APPEND common_templates common/${file} )
endforeach()

set( common_srcs ${common_srcs} PARENT_SCOPE )
set( common_templates ${common_templates} PARENT_SCOPE )

if ( metview )
	list (APPEND metview_include 
				common/MagLog.h 
				common/MagTranslator.h 
				common/Factory.h 
				common/Factory.cc 
				common/Colour.h 
				common/Tokenizer.h 
				common/MagException.h 
				common/ParameterManager.h
				common/PaperPoint.h 
				common/Matrix.h
				common/BaseParameter.h
				common/OutputHandler.h
				common/OutputFactory.h
				common/Layout.h
				common/XmlNode.h 
				common/Transformation.h
				common/UserPoint.h
				common/CustomisedPoint.h
				common/XmlTree.h
				common/XmlReader.h
				common/RasterData.h
				common/MagicsDecoder.h
				common/Data.h
				common/MatrixHandler.h
				common/BasePointsHandler.h
				common/Timer.h
				common/DataStats.h
				common/IntervalMap.h
				common/GeoRectangularProjection.h
				common/Text.h
				common/Label.h
				common/MagFont.h
				common/Image.h
				common/ImageProperties.h
				common/ColourTable.h
				common/ColourTableDefinition.h
				common/PointsHandler.h
				)

	if ( EC_OS_NAME MATCHES "windows" )
		list (APPEND metview_include common/win_timer.h)
	endif()

	set( metview_include ${metview_include} PARENT_SCOPE )
endif()
install ( FILES magics_api.h  DESTINATION ${INSTALL_INCLUDE_DIR})

=== src/drivers/CMakeLists.txt ===

list( APPEND _drivers_srcs
# basic
  BaseDriver.h BinaryDriver.h PostScriptDriver.h DriverManager.h
  System.h BaseDriverImages.h BaseDriverWind.h BaseDriverSymbols.h 
  BaseDriver.cc DriverManager.cc BinaryDriver.cc PostScriptDriver.cc
  KMLDriver.h  KMLDriver.cc
  GeoJsonDriver.h  GeoJsonDriver.cc
  SVGDriver.h  SVGDriver.cc
# minizip
  minizip/ioapi.c minizip/zip.c
  minizip/ioapi.h minizip/zip.h minizip/crypt.h
)

if( qt )
   list( APPEND _drivers_srcs
          QtDriver.h QtDriver.cc
          MgQ/MgQ.h
          MgQ/MgQLayoutItem.h MgQ/MgQStepItem.h
          MgQ/MgQLayerItem.h MgQ/MgQPlotScene.h
          MgQ/MgQSymbol.h MgQ/MgQPixmapItem.h MgQ/MgQPathItem.h
          MgQ/MgQTextItem.h MgQ/MgQDriverObject.h
          MgQ/MgQPolylineSetItem.h MgQ/MgQScene.h MgQ/MgQSceneItem.h
          MgQ/MgQSceneCacheItem.h MgQ/MgQStepMetaData.h
          MgQ/MgQPattern.h MgQ/MgQHistoItem.h MgQ/MgQRootItem.h
          MgQ/MgQPlotScene.cc
          MgQ/MgQLayoutItem.cc MgQ/MgQStepItem.cc
          MgQ/MgQLayerItem.cc
          MgQ/MgQSymbol.cc MgQ/MgQPixmapItem.cc MgQ/MgQPathItem.cc
          MgQ/MgQTextItem.cc
          MgQ/MgQPolylineSetItem.cc MgQ/MgQScene.cc MgQ/MgQSceneItem.cc
          MgQ/MgQSceneCacheItem.cc MgQ/MgQStepMetaData.cc
          MgQ/MgQPattern.cc MgQ/MgQHistoItem.cc
   )
   set (qt_files_HEADERS MgQ/MgQPlotScene.h)
   if( MAGICS_QT5 )
     QT5_WRAP_CPP(qt_files_HEADERS_MOC ${qt_files_HEADERS})
   else()
     QT4_WRAP_CPP(qt_files_HEADERS_MOC ${qt_files_HEADERS})
   endif()
   list( APPEND qt_srcs   ${qt_files_HEADERS_MOC})
endif()

if( HAVE_CAIRO )
  list( APPEND _drivers_srcs CairoDriver.h CairoDriver.cc )
endif()

if ( metview )
   list (APPEND metview_include
	drivers/DriverManager.h
	drivers/BaseDriver.h
	${CMAKE_CURRENT_BINARY_DIR}/../params/BaseDriverAttributes.h
	)
   set( metview_include ${metview_include} PARENT_SCOPE )
endif()

if ( qt )
   list (APPEND metview_include
	drivers/MgQ/MgQPlotScene.h
	drivers/MgQ/MgQScene.h
	drivers/QtDriver.h
	drivers/MgQ/MgQLayoutItem.h
	drivers/MgQ/MgQ.h
	drivers/MgQ/MgQSceneItem.h
	drivers/MgQ/MgQLayerItem.h
	drivers/MgQ/MgQRootItem.h
	drivers/MgQ/MgQStepMetaData.h
	)
   set( metview_include ${metview_include} PARENT_SCOPE )
endif()


if( MAGICS_RASTER )
  list( APPEND _drivers_srcs   GDDriver.h  GDDriver.cc )
endif()

foreach( file ${_drivers_srcs} )
  list( APPEND drivers_srcs drivers/${file} )
endforeach()

set( CMAKE_C_FLAGS "-std=c99 -DNO_ADDFILEINEXISTINGZIP")
set( drivers_srcs ${drivers_srcs} PARENT_SCOPE )

=== src/eckit_readers/CMakeLists.txt ===
set( _eckit_srcs
	TableReader.h
	TableReader.cc
)



if ( HAVE_BUFR )
	list (APPEND   _eckit_srcs
		MvLocation.cc  
		MvObsSet.cc   
		fmettim.cc  
		fsortabl.cc  
		inc_iostream.h
		MvLocation.h   
		MvObsSet.h 
		fmettim.h
		fsortabl.h
		MvBufr.h 
		MvObs.cc       
		
		fdyntime.cc
		fobject.cc  
		fstatime.cc
		MvBufrObs.h     
		MvObs.h   
		 
		fdyntime.h  
		fobject.h   
		fstatime.h
		MvBufrEdition.cc
		MvBufrEdition.h
		MvBufrElementTable.cc
		MvBufrElementTable.h
	)
endif()

foreach( file ${_eckit_srcs} )
  list( APPEND eckit_srcs eckit_readers/${file} )
endforeach()

set( eckit_srcs ${eckit_srcs} PARENT_SCOPE )

=== src/params/CMakeLists.txt ===
list( APPEND _common_xmls
MagicsGlobal.xml
Akima474Method.xml
Akima760Method.xml
ArrowPlotting.xml
AutomaticContourMethod.xml
Axis.xml
AxisMethod.xml
Bar.xml
BaseDriver.xml
BinaryDriver.xml
BinaryObject.xml
BinningObject.xml
BothValuePlotMethod.xml
Boundaries.xml
CalculateColourTechnique.xml
GradientsColourTechnique.xml
PaletteColourTechnique.xml
CalculateHeightTechnique.xml
CalmIndicator.xml
CartesianTransformation.xml
CellShading.xml
CircleOriginMarker.xml
Cities.xml
ClassicMtgDecoder.xml
CoastPlotting.xml
Coastlines.xml
ColourTechnique.xml
ContinuousLegendMethod.xml
Contour.xml
ContourLibrary.xml
ContourMethod.xml
CountSelectionType.xml
Curve.xml
CurveArea.xml
DateAxisMethod.xml
DateGribLoopStep.xml
DotGraphShadeStyle.xml
DotOriginMarker.xml
DotPolyShadingMethod.xml
DumpShading.xml
Emagram.xml
EmagramGrid.xml
FlagPlotting.xml
FortranRootSceneNode.xml
FortranSceneNode.xml
FortranViewNode.xml
GeoPointsDecoder.xml
GeoRectangularProjection.xml
Graph.xml
GraphArrow.xml
GraphFlag.xml
GraphPlotting.xml
GraphShade.xml
GraphShadeStyle.xml
GridPlotting.xml
GridShading.xml
HatchGraphShadeStyle.xml
HatchPolyShadingMethod.xml
HeightTechnique.xml
HiLo.xml
HiLoBase.xml
HiLoBoth.xml
HiLoMarker.xml
HiLoMarkerBase.xml
HiLoNumber.xml
HiLoTechnique.xml
HiLoText.xml
HighHiLo.xml
Histogram.xml
HistogramLegendMethod.xml
HyperAxisMethod.xml
ImportAction.xml
ImportPlot.xml
InputData.xml
LogoPlotting.xml
NoLogoPlotting.xml
IntervalSelectionType.xml
IsoHighlight.xml
IsoLabel.xml
IsoPlot.xml
IsoShading.xml
KMLDriver.xml
GeoJsonDriver.xml
LabelPlotting.xml
ObsPlotting.xml
LegendMethod.xml
LegendVisitor.xml
LevelListSelectionType.xml
LevelSelection.xml
ListColourTechnique.xml
ListHeightTechnique.xml
LogarithmicAxisMethod.xml
LookupTableMode.xml
LowHiLo.xml
MagnifierVisitor.xml
MapGenDecoder.xml
MarkerShadingTechnique.xml
MarkerValuePlotMethod.xml
MercatorProjection.xml
MetaData.xml
MvRootSceneNode.xml
NoBinningObject.xml
NoBoundaries.xml
NoCalmIndicator.xml
NoCities.xml
NoCoastPlotting.xml
NoGraphShade.xml
NoGridPlotting.xml
NoHiLo.xml
NoHiLoMarker.xml
NoIsoHighlight.xml
NoIsoLabel.xml
NoIsoPlot.xml
NoIsoShading.xml
NoLabelPlotting.xml
#NoLegendVisitor.xml
NoLogoPlotting.xml
NoMagnifierVisitor.xml
NoOriginMarker.xml
NoOutLayerTechnique.xml
NoPageID.xml
NoPreviewVisitor.xml
NoValuePlot.xml
OriginMarker.xml
OutputHandler.xml
PageID.xml
ParamGribLoopStep.xml
PolarStereographicProjection.xml
PolyShadingMethod.xml
PolyShadingTechnique.xml
PositionListAxisMethod.xml
PostScriptDriver.xml
PreviewVisitor.xml
Proj4Bonne.xml
Proj4PolarSouth.xml
Proj4Mercator.xml
Proj4Collignon.xml
Proj4Automatic.xml
Proj4EPSG32661.xml
Proj4EPSG32761.xml
Proj4EPSG4326.xml
Proj4EPSG3857.xml
Proj4EPSG900913.xml
Proj4Geos.xml
Proj4Goode.xml
Proj4Lambert.xml
Proj4Mollweide.xml
Proj4PolarNorth.xml
Proj4Projection.xml
Proj4Robinson.xml
Proj4Google.xml
Proj4Efas.xml
Proj4TPers.xml
Proj4LambertNorthAtlantic.xml
Proj4Meteosat0.xml
Proj4Meteosat145.xml
Proj4Meteosat57.xml
Proj4Geosw.xml
Proj4Geose.xml
SDWindMode.xml
SVGDriver.xml
ImportObjectHandler.xml
SelectionMode.xml
ShadingTechnique.xml
ShapeDecoder.xml
SimpleOutLayerTechnique.xml
Skewt.xml
SkewtGrid.xml
SymbolAdvancedTableMode.xml
SymbolIndividualMode.xml
SymbolInput.xml
SymbolMode.xml
SymbolPlotting.xml
SymbolTableMode.xml
Streamlines.xml
TableDecoder.xml
TaylorGrid.xml
TaylorProjection.xml
TextVisitor.xml
Tephigram.xml
TephiGrid.xml
TitleTemplate.xml
Transformation.xml
UVWindMode.xml
UserLogoPlotting.xml
VDWindMode.xml
ValuePlot.xml
ValuePlotBase.xml
ValuePlotMethod.xml
Wind.xml
WindMode.xml
WindPlotting.xml
ObsDecoder.xml
XCoordinate.xml
XDateCoordinate.xml
XHyperCoordinate.xml
XLogarithmicCoordinate.xml
XRegularCoordinate.xml
XYList.xml
GeoJSon.xml
YCoordinate.xml
YDateCoordinate.xml
YHyperCoordinate.xml
YLogarithmicCoordinate.xml
YRegularCoordinate.xml
)

list( APPEND _magics_xmls BoxPlotBox.xml
		BoxPlotBoxBorder.xml
		BoxPlotDecoder.xml
		BoxPlotMedian.xml
		BoxPlotVisualiser.xml
		BoxPlotWhiskerBorder.xml
		BoxPlotWhiskerBox.xml
		BoxPlotWhiskerLine.xml
		CdfGraph.xml
		EpsCloud.xml
		EpsDirection.xml
		EpsGraph.xml
		EpsPlume.xml
		EpsShade.xml
		EpsWave.xml
		EpsWind.xml
		CapeBox.xml
		EpsXmlInput.xml
		EpsgramDecoder.xml
		EquidistantTableMode.xml
		FixedTableMode.xml
		EfiDataDecoder.xml
		EfiGraph.xml
		EfiJSon.xml
		EfigramDecoder.xml
		EpsBufr.xml
		ImageCalculateColourTechnique.xml
		ImageListColourTechnique.xml
		#ImagePlotting.xml
		InputMatrix.xml
		InputMatrixIrregularInterpretor.xml
		InputMatrixRegularInterpretor.xml
		LandgramBox.xml
		LandgramDecoder.xml
		MetgramCurve.xml
		MetgramFlags.xml
		MetgramGraph.xml
		MetgramBar.xml
		ObsTable.xml
		ObsJSon.xml
		ObsStatDecoder.xml
		SimplePolyline.xml
		SimplePolylineInput.xml
		WrepJSon.xml
		WrepRootNode.xml
		XmlBasicNode.xml
		XmlRootNode.xml
		XmlSceneNode.xml
		XmlViewNode.xml
)


if( HAVE_GRIB )
	list( APPEND _common_xmls GribAddressByteMode.xml
		GribAddressMode.xml
		GribAddressRecordMode.xml
		GribLoop.xml
		GribLoopStep.xml
		GribDecoder.xml
		TileDecoder.xml
		)
endif()

if( HAVE_NETCDF )
	list( APPEND _common_xmls
		NetcdfDecoder.xml
		NetcdfInterpretor.xml
		NetcdfXYpointsInterpretor.xml
		NetcdfOrcaInterpretor.xml
		NetcdfGeopointsInterpretor.xml
		NetcdfGeoPolarMatrixInterpretor.xml
		NetcdfGeoVectorInterpretor.xml
		NetcdfGuessInterpretor.xml
		NetcdfVectorInterpretor.xml
		NetcdfGeoMatrixInterpretor.xml
		NetcdfMatrixInterpretor.xml
		)
endif()

if ( HAVE_ODB )
	list ( APPEND _common_xmls
		OdaGeoDecoder.xml
		OdaXYDecoder.xml )
endif()

if( HAVE_CAIRO )
    list( APPEND _common_xmls CairoDriver.xml )
endif()

if( MAGICS_RASTER )
  list( APPEND _common_xmls GDDriver.xml )
endif()

if( MAGICS_QT )
  list( APPEND  _magics_xmls QtDriver.xml )
endif()

foreach( file ${_common_xmls} )
  list( APPEND metview_xmls params/${file} )
  list( APPEND magics_xmls params/${file} )
endforeach()

foreach( file ${_magics_xmls} )
  list( APPEND magics_xmls params/${file} )
endforeach()


set( magics_xmls ${magics_xmls} PARENT_SCOPE )

if( metview )
  set( metview_xmls ${metview_xmls} PARENT_SCOPE )
  add_metview_definition_file(FILE ImportObjectHandler.xml  BASENAME MIMPORT   ACTION MIMPORT)
  add_metview_definition_file(FILE Contour.xml         BASENAME MCONT   ACTION MCONT)
  add_metview_definition_file(FILE SymbolPlotting.xml  BASENAME MSYMB ACTION   MSYMB)
  add_metview_definition_file(FILE Coastlines.xml      BASENAME MCOAST  ACTION MCOAST)
  add_metview_definition_file(FILE LegendVisitor.xml   BASENAME MLEGEND ACTION MLEGEND)
  add_metview_definition_file(FILE Wind.xml            BASENAME MWIND   ACTION MWIND)
  add_metview_definition_file(FILE GraphPlotting.xml   BASENAME MGRAPH  ACTION MGRAPH)
  add_metview_definition_file(FILE TextVisitor.xml     BASENAME MTEXT   ACTION MTEXT)
  add_metview_definition_file(FILE Axis.xml            BASENAME MAXIS   ACTION MAXIS)
  add_metview_definition_file(FILE BinningObject.xml   BASENAME BinningObject  ACTION MBINNING)
  add_metview_definition_file(FILE TephiGrid.xml       BASENAME MTHERMOGRID  ACTION MTHERMOGRID)
  add_metview_definition_file(FILE ObsPlotting.xml     BASENAME ObsPlotting  ACTION MOBS)
endif( metview )

=== src/visualisers/CMakeLists.txt ===
set( _visualisers_srcs
Akima760.cc
Akima760Method.h
Akima474.cc
Akima474Method.h
ArrowPlotting.cc
ArrowPlotting.h
AutomaticContourMethod.h
Axis.cc
Axis.h
AxisControl.cc
AxisControl.h
AxisItem.cc
AxisItem.h
AxisLine.h
AxisMethod.cc
AxisMethod.h
AxisType.cc
AxisType.h
Bar.cc
Bar.h
BothValuePlotMethod.h
Boundaries.cc
Boundaries.h
BoxPlotBasicItem.h
BoxPlotItem.cc
BoxPlotItem.h
BoxPlotVisualiser.cc
BoxPlotVisualiser.h
CalculateColourTechnique.cc
CalculateColourTechnique.h
GradientsColourTechnique.cc
GradientsColourTechnique.h
CalcStreamlines.cc  
CalcStreamlines.h
CalmIndicator.h
CellShading.cc
CellShading.h
Cities.cc
Cities.h
CoastPlotting.cc
CoastPlotting.h
Coastlines.cc
Coastlines.h
ColourSelection.cc
ColourSelection.h
ColourTechnique.cc
ColourTechnique.h
Contour.cc
Contour.h
ContourLibrary.cc
ContourLibrary.h
ContourMethod.h
CountSelectionType.cc
CountSelectionType.h
Curve.cc
Curve.h
DateAxis.cc
DateAxis.h
DefinitionTable.h
DefinitionTable.hcc
DotPolyShadingMethod.h
EmagramGrid.cc
EmagramGrid.h
EpsForecastPlot.h
EpsGraph.cc
EpsGraph.h
EquidistantTableMode.cc
EquidistantTableMode.h
Filter.cc
Filter.h
FlagPlotting.cc
FlagPlotting.h
FloatSelection.cc
FloatSelection.h
Graph.h
GraphPlotting.cc
GraphPlotting.h
GraphShade.cc
GraphShade.h
GraphShadeStyle.cc
GraphShadeStyle.h
GribTables.h
GridPlotting.cc
GridPlotting.h
HatchPolyShadingMethod.h
HeightSelection.cc
HeightSelection.h
HeightSelectionCount.h
HeightSelectionList.h
HeightTechnique.cc
HeightTechnique.h
HiLo.cc
HiLo.h
HiLoBase.h
HiLoBoth.h
HiLoMarker.h
HiLoMarkerBase.h
HiLoNumber.h
HiLoText.h
HiLoTechnique.h
HistoIndividualMode.h
HistoMode.h
HistoTableMode.h
Histogram.cc
Histogram.h
ImageCalculateColourTechnique.h
ImageListColourTechnique.h
ImportPlot.h
IntervalSelectionType.cc
IntervalSelectionType.h
Intervals.h
IsoHelper.cc
IsoHelper.h
IsoHighlight.h
IsoLabel.cc
IsoLabel.h
IsoPlot.cc
IsoPlot.h
IsoShading.cc
IsoShading.h
LabelPlotting.cc
LabelPlotting.h
LabelPlottingBase.h
LegendMethod.cc
LegendMethod.h
LevelListSelectionType.cc
LevelListSelectionType.h
LevelSelection.cc
LevelSelection.h
LinearTableMode.cc
LinearTableMode.h
ListColourTechnique.cc
ListColourTechnique.h
LookupTableMode.cc
LookupTableMode.h
MarkerSelection.h
MarkerSelectionCount.h
MarkerSelectionList.h
MarkerShadingTechnique.cc
MarkerShadingTechnique.h
MarkerValuePlotMethod.h
MetgramGraph.cc
MetgramGraph.h
MetgramStyle.cc
MetgramStyle.h
NormalTableMode.cc
NormalTableMode.h
ObsItem.h
ObsItemFamily.cc
ObsItemFamily.h
ObsPlotting.cc
ObsPlotting.h
ObsTable.cc
ObsTable.h
OriginMarker.h
OutLayerTechnique.cc
OutLayerTechnique.h
PolyShadingMethod.cc
PolyShadingMethod.h
PolyShadingTechnique.cc
PolyShadingTechnique.h
ShadingTechnique.h
SegmentJoiner.h
SegmentJoiner.cc
SimplePolylineVisualiser.cc
SimplePolylineVisualiser.h
SkewtGrid.cc
SkewtGrid.h
Streamlines.h
Streamlines.cc
SymbolAdvancedTableMode.cc
SymbolAdvancedTableMode.h
SymbolMode.cc
SymbolMode.h
SymbolPlotting.cc
SymbolPlotting.h
TaylorGrid.cc
TaylorGrid.h
TephiGrid.cc  
TephiGrid.h
TextOrientation.cc
TextOrientation.h
UserDate.cc
UserDate.h
ValuePlot.cc
ValuePlot.h
ValuePlotBase.h
ValuePlotMethod.h
VisDefInfo.cc
VisDefInfo.h
Wind.cc
Wind.h
WindPlotting.cc
WindPlotting.h
)

foreach( file ${_visualisers_srcs} )
  list( APPEND visualisers_srcs visualisers/${file} )
endforeach()

set( visualisers_srcs ${visualisers_srcs} PARENT_SCOPE )

if ( metview )
    list (APPEND metview_include 
            visualisers/LegendMethod.h      
            visualisers/LookupTableMode.h
            )
    set( metview_include ${metview_include} PARENT_SCOPE )
endif()

=== src/web/CMakeLists.txt ===
set( _web_srcs
MagJSon.cc   ObsJSon.cc   WrepJSon.h      json_spirit_reader.h   json_spirit_value.h
MagConfig.cc    MagJSon.h    ObsJSon.h    json_spirit.h           json_spirit_utils.h    json_spirit_writer.cpp
MagConfig.h     WrepJSon.cc  json_spirit_reader.cpp  json_spirit_value.cpp  json_spirit_writer.h json_spirit_writer_options.h
GeoJSon.h GeoJSon.cc

 )

foreach( file ${_web_srcs} )
  list( APPEND web_srcs web/${file} )
endforeach()

set( web_srcs ${web_srcs} PARENT_SCOPE )

=== debian/changelog ===
magics++ (4.2.6-1) unstable; urgency=medium

  * New upstream release
  * Drop Makefile that tries a docker image build from git
  * Add patch to handle ++ signs in pkgconfig path during build
  * Drop old empty patches from d/patches

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Jan 2020 12:23:11 +0000

## magics++ 4.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 #       -DCMAKE_PREFIX_PATH=/path/to/jasper:/path/to/any/package/out/of/place
 #
 
-cmake_minimum_required( VERSION 3.1.0 FATAL_ERROR )
-
-project( magics CXX )
+cmake_minimum_required( VERSION 3.6.0 FATAL_ERROR )
+
+project( magics VERSION 4.3.3 LANGUAGES CXX )
 
 # make sure that the header files are installed into include/magics
 # note that this needs to be done before ecbuild_declare_project()
@@ -37,6 +37,7 @@
 set( grib_handling_pkg eccodes )
 set( HAVE_GRIB 1 )
 set( HAVE_BUFR 1 )
+
 
 ecbuild_add_option( FEATURE PYTHON
                     DEFAULT ON
@@ -175,7 +176,19 @@
 endif()
 
 find_package( Boost 1.53.0 REQUIRED)
-find_package( Proj4 REQUIRED )
+
+# adding NO_MODULE means that if we don't find it, CMake will not generate
+# strange error messages about not being able to find the FindProj4.cmake file.
+# this should find proj if it has been installed via CMake, but if it has been
+# installed via autotools, then we will need to try another method
+find_package( PROJ4 6.1.0 NO_MODULE )
+if (NOT PROJ4_FOUND)
+    find_package(Proj 6.1.0 REQUIRED)
+    if (NOT PROJ_FOUND)
+        message(FATAL_ERROR "Package 'proj' was not found - at least version 6.1.0 required.")
+    endif()
+endif()
+
 find_package( EXPAT REQUIRED )
 if(APPLE)
   find_package( zlib REQUIRED )       # dependency of minizip - KMZ support
@@ -206,7 +219,7 @@
 ###############################################################################
 # contents
 
-set( MAGICS_TPLS eccodes spot EXPAT NetCDF Proj4 zlib )
+set( MAGICS_TPLS eccodes spot EXPAT NetCDF PROJ4 Proj zlib )
 
 set( MAGICS_INCLUDE_DIRS
      ${CMAKE_CURRENT_BINARY_DIR}/src
@@ -336,26 +349,3 @@
 		notebook
 		test/old
 		tools/xml
-		tools/use_scripts
-		tools/versioncmp_folders)
-
-ecbuild_add_resources( TARGET notebook
-    DONT_PACK_DIRS notebook )
-
-ecbuild_add_resources( TARGET internal
-		DONT_PACK configure.lxab
-		configure.local
-		configure.ecgb
-		configure.ecmwf
-)
-
-############################################################################################
-# finalize
-
-set( MAGICS_DESCRIPTION "Multi-platform meteorological graphics library" )
-set( MAGICS_URL "https://software.ecmwf.int/magics" )
-
-ecbuild_pkgconfig()
-
-ecbuild_install_project( NAME Magics )
-

=== debian/changelog ===
magics++ (4.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Apr 2020 08:19:23 +0100

magics++ (4.3.1-1) unstable; urgency=medium

  * New upstream release
  * Depend on libodb-api-dev (>= 0.18.1-11)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Apr 2020 08:51:29 +0100

magics++ (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Mar 2020 11:15:52 +0000

=== debian/control ===
Source: magics++
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat  (= 12) , 
 dh-buildinfo, 
 gfortran | fortran-compiler, 
 python3-all-dev,
 ecbuild,
 chrpath,
 libhdf5-dev | libhdf5-mpi-dev, 
 libnetcdf-dev, libnetcdf-cxx-legacy-dev,
 libgl1-mesa-dev, libgd-dev, 
 libemos-dev (>=  2:4.3.9), libgeotiff-dev,
 libodb-api-dev (>= 0.18.1-11),
 libeccodes-dev (>= 2.13.0-3),
 libeccodes-tools,
 libemos-bin, 
 libopenjp2-7-dev,
 libaec-dev,
 libterralib-dev, 
 libcairo2-dev, 
 libpango1.0-dev,
 ttf-dejavu-core, 
 libxml-parser-perl, 
 ghostscript, 
 zlib1g-dev, 
 libboost-dev | libboost1.63-dev, 
 libproj-dev, 
 qtbase5-dev-tools, 
 qtbase5-dev, 
 qt5-qmake,
 python3-jinja2
Standards-Version: 4.5.0
Homepage: https://software.ecmwf.int/wiki/display/MAGP/Magics
Vcs-Browser: https://salsa.debian.org/science-team/magics.git
Vcs-Git: https://salsa.debian.org/science-team/magics.git

Package: libmagplus3v5
Section: libs
Architecture: any
Multi-Arch: same
Depends: libmagics++-data,${misc:Depends}, ${shlibs:Depends}, ttf-dejavu-core, ttf-dejavu-extra, ghostscript
Description: ECMWF meteorological plotting software library
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 The library supports the plotting of contours, wind fields, observations,
 satellite images, symbols, text, axis and graphs (including boxplots).
 .
 Data fields to be plotted may be presented in various formats,
 for instance GRIB 1 and 2 code data, Gaussian grid, regularly spaced grid
 and fitted data. Input data can also be in BUFR and NetCDF format
 or retrieved from an ODB database.
 .
 The produced meteorological plots can be saved in various formats,
 such as PostScript, EPS, PDF, GIF, PNG, SVG and KML.

Package: libmagics++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmagplus3v5 ( = ${binary:Version} ), ${misc:Depends}, 
 python3, libmagics++-metview-dev, libterralib-dev, magics++, libodb-api-dev
Recommends: pkg-config
Description: Development files for ECMWF  plotting software MAGICS++
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 This package includes the header files and static libraries needed to build 
 against libmagics++.

Package: magics++
Architecture: any
Multi-Arch: foreign
Depends: libmagplus3v5 ( = ${binary:Version} ),
 ${misc:Depends}, ${shlibs:Depends}, python3
Description: Executables for the magics++ library
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 This package contains the MagcML binary that may be used with magics++.


Package: libmagics++-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files needed for magics++ library
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 .
 This package contains data expected by the magics++ library.


Package: libmagics++-metview-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libmagplus3v5 ( = ${binary:Version} )
Description: Libraries needed for building MetView
 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 .
 This package includes the header files and static libraries needed to build
 metview against magics++.
